Package com.ocient.jdbc.proto

# Class PlanProtocol.PlanHeader

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.PlanProtocol.PlanHeader

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.PlanHeaderOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.PlanHeader
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.PlanHeaderOrBuilder

    Header that starts of the plan message

Protobuf type `xg.db.sqlPlans.PlanHeader`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `PlanProtocol.PlanHeader.Builder` | Header that starts of the plan message

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `BRANCHING_OFFSET_FIELD_NUMBER` |
`static int` | `COLS2POS_FIELD_NUMBER` |
`static int` | `COLS2TYPES_FIELD_NUMBER` |
`static int` | `COMPUTE_CONFIGURATION_FIELD_NUMBER` |
`static int` | `DATABASE_FIELD_NUMBER` |
`static int` | `EXTERNALCOST_FIELD_NUMBER` |
`static int` | `GLOBAL_PFACTOR_FIELD_NUMBER` |
`static int` | `INDEXMEMUSAGE_FIELD_NUMBER` |
`static int` | `INTERNALCOST_FIELD_NUMBER` |
`static int` | `PARTITION_COUNT_FIELD_NUMBER` |
`static int` | `PARTITIONING_OFFSET_FIELD_NUMBER` |
`static int` | `PARTITIONINGCOL_FIELD_NUMBER` |
`static int` | `PARTITIONINGCOLNULLABLE_FIELD_NUMBER` |
`static int` | `PARTITIONINGCOLTYPE_FIELD_NUMBER` |
`static int` | `PARTITIONINGPOINTS_FIELD_NUMBER` |
`static int` | `PRIORITY_FIELD_NUMBER` |
`static int` | `QUERYMEMUSAGE_FIELD_NUMBER` |
`static int` | `QUERYSEQ_FIELD_NUMBER` |
`static int` | `RATE_LIMITED_FIELD_NUMBER` |
`static int` | `RSSIZEINBYTES_FIELD_NUMBER` |
`static int` | `TOTALCOST_FIELD_NUMBER` |
`static int` | `TRACE_FIELD_NUMBER` |
`static int` | `UUID_FIELD_NUMBER` |
`static int` | `VERSION_FIELD_NUMBER` |

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `containsCols2Pos​(String key)` | A map of column name to it's position (zero-based) in the result set
`boolean` | `containsCols2Types​(String key)` | A map from column name to type (uses optimizer types)
`boolean` | `containsComputeConfiguration​(int key)` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`boolean` | `equals​(Object obj)` |
`int` | `getBranchingOffset()` | branching offset
`Map<String,​Integer>` | `getCols2Pos()` | Deprecated.
`int` | `getCols2PosCount()` | A map of column name to it's position (zero-based) in the result set
`Map<String,​Integer>` | `getCols2PosMap()` | A map of column name to it's position (zero-based) in the result set
`int` | `getCols2PosOrDefault​(String key, int defaultValue)` | A map of column name to it's position (zero-based) in the result set
`int` | `getCols2PosOrThrow​(String key)` | A map of column name to it's position (zero-based) in the result set
`Map<String,​PlanProtocol.SqlColType>` | `getCols2Types()` | Deprecated.
`int` | `getCols2TypesCount()` | A map from column name to type (uses optimizer types)
`Map<String,​PlanProtocol.SqlColType>` | `getCols2TypesMap()` | A map from column name to type (uses optimizer types)
`PlanProtocol.SqlColType` | `getCols2TypesOrDefault​(String key, PlanProtocol.SqlColType defaultValue)` | A map from column name to type (uses optimizer types)
`PlanProtocol.SqlColType` | `getCols2TypesOrThrow​(String key)` | A map from column name to type (uses optimizer types)
`Map<String,​Integer>` | `getCols2TypesValue()` | Deprecated.
`Map<String,​Integer>` | `getCols2TypesValueMap()` | A map from column name to type (uses optimizer types)
`int` | `getCols2TypesValueOrDefault​(String key, int defaultValue)` | A map from column name to type (uses optimizer types)
`int` | `getCols2TypesValueOrThrow​(String key)` | A map from column name to type (uses optimizer types)
`Map<Integer,​PlanProtocol.ExecutionClusters>` | `getComputeConfiguration()` | Deprecated.
`int` | `getComputeConfigurationCount()` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`Map<Integer,​PlanProtocol.ExecutionClusters>` | `getComputeConfigurationMap()` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`PlanProtocol.ExecutionClusters` | `getComputeConfigurationOrDefault​(int key, PlanProtocol.ExecutionClusters defaultValue)` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`PlanProtocol.ExecutionClusters` | `getComputeConfigurationOrThrow​(int key)` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`String` | `getDatabase()` | `string database = 23;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 23;`
`static PlanProtocol.PlanHeader` | `getDefaultInstance()` |
`PlanProtocol.PlanHeader` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`double` | `getExternalCost()` | `double externalCost = 25;`
`int` | `getGlobalPfactor()` | `uint32 global_pfactor = 20;`
`long` | `getIndexMemUsage()` | index and query memory usage in bytes
`double` | `getInternalCost()` | `double internalCost = 24;`
`com.google.protobuf.Parser<PlanProtocol.PlanHeader>` | `getParserForType()` |
`int` | `getPartitionCount()` | partition count, is set by vm while processing GATHER operator, prior to sending the plan to downstream peers
`String` | `getPartitioningCol()` | Only used by Spark connector
`com.google.protobuf.ByteString` | `getPartitioningColBytes()` | Only used by Spark connector
`boolean` | `getPartitioningColNullable()` | Only used by Spark connector
`PlanProtocol.SqlColType` | `getPartitioningColType()` | Only used by Spark connector
`int` | `getPartitioningColTypeValue()` | Only used by Spark connector
`int` | `getPartitioningOffset()` | partitioning offset
`float` | `getPartitioningPoints​(int index)` | Only used by Spark connector
`int` | `getPartitioningPointsCount()` | Only used by Spark connector
`List<Float>` | `getPartitioningPointsList()` | Only used by Spark connector
`double` | `getPriority()` | Scale factor for plan priority
`long` | `getQueryMemUsage()` | `uint64 queryMemUsage = 18;`
`long` | `getQuerySeq()` | query sequence #
`boolean` | `getRateLimited()` | Deprecated
`long` | `getRsSizeInBytes()` | Only used by Explain
`int` | `getSerializedSize()` |
`double` | `getTotalCost()` | `double totalCost = 5;`
`boolean` | `getTrace()` | Whether or not trace is turned on
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
`String` | `getUuid()` | Uniquely identifies the plan
`com.google.protobuf.ByteString` | `getUuidBytes()` | Uniquely identifies the plan
`int` | `getVersion()` | `uint32 version = 22;`
`int` | `hashCode()` |
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`protected com.google.protobuf.MapField` | `internalGetMapField​(int number)` |
`boolean` | `isInitialized()` |
`static PlanProtocol.PlanHeader.Builder` | `newBuilder()` |
`static PlanProtocol.PlanHeader.Builder` | `newBuilder​(PlanProtocol.PlanHeader prototype)` |
`PlanProtocol.PlanHeader.Builder` | `newBuilderForType()` |
`protected PlanProtocol.PlanHeader.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
`static PlanProtocol.PlanHeader` | `parseDelimitedFrom​(InputStream input)` |
`static PlanProtocol.PlanHeader` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.PlanHeader` | `parseFrom​(byte[] data)` |
`static PlanProtocol.PlanHeader` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.PlanHeader` | `parseFrom​(com.google.protobuf.ByteString data)` |
`static PlanProtocol.PlanHeader` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.PlanHeader` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
`static PlanProtocol.PlanHeader` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.PlanHeader` | `parseFrom​(InputStream input)` |
`static PlanProtocol.PlanHeader` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.PlanHeader` | `parseFrom​(ByteBuffer data)` |
`static PlanProtocol.PlanHeader` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static com.google.protobuf.Parser<PlanProtocol.PlanHeader>` | `parser()` |
`PlanProtocol.PlanHeader.Builder` | `toBuilder()` |
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newInstance, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### COLS2POS_FIELD_NUMBER

public static final int COLS2POS_FIELD_NUMBER

See Also:
  Constant Field Values

### COLS2TYPES_FIELD_NUMBER

public static final int COLS2TYPES_FIELD_NUMBER

See Also:
  Constant Field Values

### TOTALCOST_FIELD_NUMBER

public static final int TOTALCOST_FIELD_NUMBER

See Also:
  Constant Field Values

### PARTITIONINGCOL_FIELD_NUMBER

public static final int PARTITIONINGCOL_FIELD_NUMBER

See Also:
  Constant Field Values

### PARTITIONINGPOINTS_FIELD_NUMBER

public static final int PARTITIONINGPOINTS_FIELD_NUMBER

See Also:
  Constant Field Values

### PARTITIONINGCOLTYPE_FIELD_NUMBER

public static final int PARTITIONINGCOLTYPE_FIELD_NUMBER

See Also:
  Constant Field Values

### RSSIZEINBYTES_FIELD_NUMBER

public static final int RSSIZEINBYTES_FIELD_NUMBER

See Also:
  Constant Field Values

### UUID_FIELD_NUMBER

public static final int UUID_FIELD_NUMBER

See Also:
  Constant Field Values

### PRIORITY_FIELD_NUMBER

public static final int PRIORITY_FIELD_NUMBER

See Also:
  Constant Field Values

### TRACE_FIELD_NUMBER

public static final int TRACE_FIELD_NUMBER

See Also:
  Constant Field Values

### PARTITIONING_OFFSET_FIELD_NUMBER

public static final int PARTITIONING_OFFSET_FIELD_NUMBER

See Also:
  Constant Field Values

### BRANCHING_OFFSET_FIELD_NUMBER

public static final int BRANCHING_OFFSET_FIELD_NUMBER

See Also:
  Constant Field Values

### QUERYSEQ_FIELD_NUMBER

public static final int QUERYSEQ_FIELD_NUMBER

See Also:
  Constant Field Values

### PARTITION_COUNT_FIELD_NUMBER

public static final int PARTITION_COUNT_FIELD_NUMBER

See Also:
  Constant Field Values

### INDEXMEMUSAGE_FIELD_NUMBER

public static final int INDEXMEMUSAGE_FIELD_NUMBER

See Also:
  Constant Field Values

### QUERYMEMUSAGE_FIELD_NUMBER

public static final int QUERYMEMUSAGE_FIELD_NUMBER

See Also:
  Constant Field Values

### RATE_LIMITED_FIELD_NUMBER

public static final int RATE_LIMITED_FIELD_NUMBER

See Also:
  Constant Field Values

### GLOBAL_PFACTOR_FIELD_NUMBER

public static final int GLOBAL_PFACTOR_FIELD_NUMBER

See Also:
  Constant Field Values

### PARTITIONINGCOLNULLABLE_FIELD_NUMBER

public static final int PARTITIONINGCOLNULLABLE_FIELD_NUMBER

See Also:
  Constant Field Values

### VERSION_FIELD_NUMBER

public static final int VERSION_FIELD_NUMBER

See Also:
  Constant Field Values

### DATABASE_FIELD_NUMBER

public static final int DATABASE_FIELD_NUMBER

See Also:
  Constant Field Values

### INTERNALCOST_FIELD_NUMBER

public static final int INTERNALCOST_FIELD_NUMBER

See Also:
  Constant Field Values

### EXTERNALCOST_FIELD_NUMBER

public static final int EXTERNALCOST_FIELD_NUMBER

See Also:
  Constant Field Values

### COMPUTE_CONFIGURATION_FIELD_NUMBER

public static final int COMPUTE_CONFIGURATION_FIELD_NUMBER

See Also:
  Constant Field Values

## Method Details

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetMapField

protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3`

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getCols2PosCount

public int getCols2PosCount()
Description copied from interface: `PlanProtocol.PlanHeaderOrBuilder`

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

Specified by:
  `getCols2PosCount` in interface `PlanProtocol.PlanHeaderOrBuilder`

### containsCols2Pos

public boolean containsCols2Pos​(String key)

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

Specified by:
  `containsCols2Pos` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2Pos

@Deprecated public Map<String,​Integer> getCols2Pos()
Deprecated.
Use `getCols2PosMap()` instead.

Specified by:
  `getCols2Pos` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2PosMap

public Map<String,​Integer> getCols2PosMap()

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

Specified by:
  `getCols2PosMap` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2PosOrDefault

public int getCols2PosOrDefault​(String key, int defaultValue)

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

Specified by:
  `getCols2PosOrDefault` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2PosOrThrow

public int getCols2PosOrThrow​(String key)

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

Specified by:
  `getCols2PosOrThrow` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesCount

public int getCols2TypesCount()
Description copied from interface: `PlanProtocol.PlanHeaderOrBuilder`

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesCount` in interface `PlanProtocol.PlanHeaderOrBuilder`

### containsCols2Types

public boolean containsCols2Types​(String key)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `containsCols2Types` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2Types

@Deprecated public Map<String,​PlanProtocol.SqlColType> getCols2Types()
Deprecated.
Use `getCols2TypesMap()` instead.

Specified by:
  `getCols2Types` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesMap

public Map<String,​PlanProtocol.SqlColType> getCols2TypesMap()

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesMap` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesOrDefault

public PlanProtocol.SqlColType getCols2TypesOrDefault​(String key, PlanProtocol.SqlColType defaultValue)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesOrDefault` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesOrThrow

public PlanProtocol.SqlColType getCols2TypesOrThrow​(String key)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesOrThrow` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesValue

@Deprecated public Map<String,​Integer> getCols2TypesValue()
Deprecated.
Use `getCols2TypesValueMap()` instead.

Specified by:
  `getCols2TypesValue` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesValueMap

public Map<String,​Integer> getCols2TypesValueMap()

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesValueMap` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesValueOrDefault

public int getCols2TypesValueOrDefault​(String key, int defaultValue)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesValueOrDefault` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesValueOrThrow

public int getCols2TypesValueOrThrow​(String key)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesValueOrThrow` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getTotalCost

public double getTotalCost()
`double totalCost = 5;`

Specified by:
  `getTotalCost` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitioningCol

public String getPartitioningCol()

    Only used by Spark connector

`string partitioningCol = 6;`

Specified by:
  `getPartitioningCol` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitioningColBytes

public com.google.protobuf.ByteString getPartitioningColBytes()

    Only used by Spark connector

`string partitioningCol = 6;`

Specified by:
  `getPartitioningColBytes` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitioningPointsList

public List<Float> getPartitioningPointsList()

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

Specified by:
  `getPartitioningPointsList` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitioningPointsCount

public int getPartitioningPointsCount()

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

Specified by:
  `getPartitioningPointsCount` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitioningPoints

public float getPartitioningPoints​(int index)

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

Specified by:
  `getPartitioningPoints` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitioningColTypeValue

public int getPartitioningColTypeValue()

    Only used by Spark connector

`.xg.db.sqlPlans.SqlColType partitioningColType = 8;`

Specified by:
  `getPartitioningColTypeValue` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitioningColType

public PlanProtocol.SqlColType getPartitioningColType()

    Only used by Spark connector

`.xg.db.sqlPlans.SqlColType partitioningColType = 8;`

Specified by:
  `getPartitioningColType` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getRsSizeInBytes

public long getRsSizeInBytes()

    Only used by Explain

`uint64 rsSizeInBytes = 9;`

Specified by:
  `getRsSizeInBytes` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getUuid

public String getUuid()

    Uniquely identifies the plan

`string uuid = 10;`

Specified by:
  `getUuid` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getUuidBytes

public com.google.protobuf.ByteString getUuidBytes()

    Uniquely identifies the plan

`string uuid = 10;`

Specified by:
  `getUuidBytes` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPriority

public double getPriority()

    Scale factor for plan priority

`double priority = 11;`

Specified by:
  `getPriority` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getTrace

public boolean getTrace()

    Whether or not trace is turned on

`bool trace = 12;`

Specified by:
  `getTrace` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitioningOffset

public int getPartitioningOffset()

    partitioning offset

`uint32 partitioning_offset = 13;`

Specified by:
  `getPartitioningOffset` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getBranchingOffset

public int getBranchingOffset()

    branching offset

`uint32 branching_offset = 14;`

Specified by:
  `getBranchingOffset` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getQuerySeq

public long getQuerySeq()

     query sequence #

`uint64 querySeq = 15;`

Specified by:
  `getQuerySeq` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitionCount

public int getPartitionCount()

     partition count, is set by vm while processing  GATHER operator,  prior to sending the plan to downstream peers

`uint32 partition_count = 16;`

Specified by:
  `getPartitionCount` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getIndexMemUsage

public long getIndexMemUsage()

    index and query memory usage in bytes

`uint64 indexMemUsage = 17;`

Specified by:
  `getIndexMemUsage` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getQueryMemUsage

public long getQueryMemUsage()
`uint64 queryMemUsage = 18;`

Specified by:
  `getQueryMemUsage` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getRateLimited

public boolean getRateLimited()

    Deprecated

`bool rate_limited = 19;`

Specified by:
  `getRateLimited` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getGlobalPfactor

public int getGlobalPfactor()
`uint32 global_pfactor = 20;`

Specified by:
  `getGlobalPfactor` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitioningColNullable

public boolean getPartitioningColNullable()

    Only used by Spark connector

`bool partitioningColNullable = 21;`

Specified by:
  `getPartitioningColNullable` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getVersion

public int getVersion()
`uint32 version = 22;`

Specified by:
  `getVersion` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getDatabase

public String getDatabase()
`string database = 23;`

Specified by:
  `getDatabase` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getDatabaseBytes

public com.google.protobuf.ByteString getDatabaseBytes()
`string database = 23;`

Specified by:
  `getDatabaseBytes` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getInternalCost

public double getInternalCost()
`double internalCost = 24;`

Specified by:
  `getInternalCost` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getExternalCost

public double getExternalCost()
`double externalCost = 25;`

Specified by:
  `getExternalCost` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getComputeConfigurationCount

public int getComputeConfigurationCount()
Description copied from interface: `PlanProtocol.PlanHeaderOrBuilder`

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

Specified by:
  `getComputeConfigurationCount` in interface `PlanProtocol.PlanHeaderOrBuilder`

### containsComputeConfiguration

public boolean containsComputeConfiguration​(int key)

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

Specified by:
  `containsComputeConfiguration` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getComputeConfiguration

@Deprecated public Map<Integer,​PlanProtocol.ExecutionClusters> getComputeConfiguration()
Deprecated.
Use `getComputeConfigurationMap()` instead.

Specified by:
  `getComputeConfiguration` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getComputeConfigurationMap

public Map<Integer,​PlanProtocol.ExecutionClusters> getComputeConfigurationMap()

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

Specified by:
  `getComputeConfigurationMap` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getComputeConfigurationOrDefault

public PlanProtocol.ExecutionClusters getComputeConfigurationOrDefault​(int key, PlanProtocol.ExecutionClusters defaultValue)

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

Specified by:
  `getComputeConfigurationOrDefault` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getComputeConfigurationOrThrow

public PlanProtocol.ExecutionClusters getComputeConfigurationOrThrow​(int key)

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

Specified by:
  `getComputeConfigurationOrThrow` in interface `PlanProtocol.PlanHeaderOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static PlanProtocol.PlanHeader parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.PlanHeader parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.PlanHeader parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.PlanHeader parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.PlanHeader parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.PlanHeader parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.PlanHeader parseFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.PlanHeader parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.PlanHeader parseDelimitedFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.PlanHeader parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.PlanHeader parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.PlanHeader parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public PlanProtocol.PlanHeader.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static PlanProtocol.PlanHeader.Builder newBuilder()

### newBuilder

public static PlanProtocol.PlanHeader.Builder newBuilder​(PlanProtocol.PlanHeader prototype)

### toBuilder

public PlanProtocol.PlanHeader.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected PlanProtocol.PlanHeader.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static PlanProtocol.PlanHeader getDefaultInstance()

### parser

public static com.google.protobuf.Parser<PlanProtocol.PlanHeader> parser()

### getParserForType

public com.google.protobuf.Parser<PlanProtocol.PlanHeader> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public PlanProtocol.PlanHeader getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`